Package org.codehaus.groovy.reflection.stdclasses

# Class BigIntegerCachedClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
org.codehaus.groovy.reflection.stdclasses.BigIntegerCachedClass

public class BigIntegerCachedClass extends NumberCachedClass
Provides optimized reflection caching for `BigInteger`. Coerces integral and big numeric types to `BigInteger` for type-safe method invocation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

  `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

  `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BigIntegerCachedClass(Class klazz, ClassInfo classInfo)`
  Constructs a cached class representation for `BigInteger`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAssignableFrom(Class classToTransformFrom)`
  Determines if the given class can be transformed to `BigInteger`.
  `boolean`
  `isDirectlyAssignable(Object argument)`
  Checks if the given argument is directly assignable to `BigInteger`.

  ### Methods inherited from class org.codehaus.groovy.reflection.stdclasses.NumberCachedClass

  `coerceArgument`

  ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

  `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BigIntegerCachedClass

    public BigIntegerCachedClass(Class klazz, ClassInfo classInfo)
    Constructs a cached class representation for `BigInteger`.
    Parameters:
      `klazz` - the `BigInteger` class to cache
      `classInfo` - the class information associated with this cached class

- ## Method Details

  - ### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)
    Checks if the given argument is directly assignable to `BigInteger`.
    Overrides:
      `isDirectlyAssignable` in class `CachedClass`
    Parameters:
      `argument` - the argument to check
    Returns:
      `true` if the argument is an instance of `BigInteger`, `false` otherwise

  - ### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)
    Determines if the given class can be transformed to `BigInteger`. Accepts integral types, boxed integral types, and other big numeric types.
    Overrides:
      `isAssignableFrom` in class `NumberCachedClass`
    Parameters:
      `classToTransformFrom` - the source class to check
    Returns:
      `true` if the class can be transformed to `BigInteger`, `false` otherwise